<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- 
@author: juan.agudelo

Pantalla que muestra el formulario para aprobar pruebas

    parámetros de entrada:
    - 	selectedTramiteParam: 		Objeto de tipo Tramite que se mostrara los datos requeridos debe incluir solicitud
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" id="aprobarAutoDPForm"
             width="100%">

    <h:panelGrid columns="4" >

        <p:spacer height="10" width="1" />
        <h:outputLabel value="Consideraciones: " styleClass="outputLabelStyle" />
        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
        <p:message for="consideraciones" display="icon"/>
    </h:panelGrid>
    <h:panelGrid columns="2" >
        <p:editor
            value="#{selectedTramiteParam.tramitePruebas.consideraciones}"
            id="consideraciones" widgetVar="consideracionesWV" required="true"
            width="850" height="200" requiredMessage="Las consideraciones para aprobar las pruebas no pueden estar vacías."
            controls="bold italic | style |
            bullets numbering | outdent indent | alignleft justify | undo redo  | 
            cut copy paste pastetext " />
    </h:panelGrid>

    <p:spacer height="20" width="1" />

    <h:panelGrid columns="4" >
        <p:spacer height="10" width="1" />
        <h:outputLabel value="Dispone: " styleClass="outputLabelStyle"  />
        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
        <p:message for="dispone" display="icon"/>
    </h:panelGrid>
    <h:panelGrid columns="2" width="100%">
        <p:editor value="#{selectedTramiteParam.tramitePruebas.dispone}"
                  id="dispone" widgetVar="resuelve" required="true" width="850" 
                  height="200" requiredMessage="La información del dispone no puede estar vacía."
                  controls="bold italic | style |
                  bullets numbering | outdent indent | alignleft justify | undo redo  | 
                  cut copy paste pastetext"/>
    </h:panelGrid>

</h:panelGrid>